import request from '@/utils/request'

// 查询租金列表
export function listRent(data) {
  return request({
    url: '/tRent/list',
    method: 'post',
    data: data
  })
}

// 查询租金详细
export function getRent(id) {
  return request({
    url: '/tRent/' + id,
    method: 'get'
  })
}

// 新增租金
export function addRent(data) {
  return request({
    url: '/tRent',
    method: 'post',
    data: data
  })
}

// 修改租金
export function updateRent(data) {
  return request({
    url: '/tRent',
    method: 'put',
    data: data
  })
}

// 删除租金
export function delRent(id) {
  return request({
    url: '/tRent/' + id,
    method: 'delete'
  })
}

// 导出租金
export function exportRent(query) {
  return request({
    url: '/tRent/export',
    method: 'get',
    params: query
  })
}
